## fuse-zip 0.2.12

=== Makefile ===
DEST=fuse-zip
LIBS=$(shell pkg-config fuse --libs) $(shell pkg-config libzip --libs)
CXXFLAGS:=$(CXXFLAGS) -Wall -Wextra
FUSEFLAGS=$(shell pkg-config fuse --cflags)
ZIPFLAGS=$(shell pkg-config libzip --cflags)
SOURCES=fuse-zip.cpp fileNode.cpp bigBuffer.cpp fuseZipData.cpp libZipWrapper.cpp
OBJECTS=$(SOURCES:.cpp=.o)
MANSRC=fuse-zip.1
MAN=fuse-zip.1.gz
CLEANFILES=$(OBJECTS) $(MAN)
DOCFILES=README changelog
INSTALLPREFIX=/usr

all: $(DEST)

doc: $(MAN)

doc-clean: man-clean

$(DEST): $(OBJECTS)
	$(CXX) $(LDFLAGS) $(OBJECTS) $(LIBS) -o $@

#fuse-zip.cpp must be compiled separately with FUSEFLAGS
fuse-zip.o: fuse-zip.cpp
	$(CXX) -c $(CXXFLAGS) $(FUSEFLAGS) $(ZIPFLAGS) $< -o $@

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(ZIPFLAGS) $< -o $@

distclean: clean doc-clean
	rm -f $(DEST)

clean: all-clean tarball-clean

all-clean:
	rm -f $(CLEANFILES)

$(MAN): $(MANSRC)
	gzip -c9 $< > $@

man-clean:
	rm -f $(MANSRC).gz

install: all doc
	mkdir -p "$(INSTALLPREFIX)/bin"
	install -m 755 -s "$(DEST)" "$(INSTALLPREFIX)/bin"
	mkdir -p "$(INSTALLPREFIX)/share/doc/$(DEST)"
	cp $(DOCFILES) "$(INSTALLPREFIX)/share/doc/$(DEST)"
	mkdir -p "$(INSTALLPREFIX)/share/man/man1"
	cp $(MAN) "$(INSTALLPREFIX)/share/man/man1"

uninstall:
	rm "$(INSTALLPREFIX)/bin/$(DEST)"
	rm -r "$(INSTALLPREFIX)/share/doc/$(DEST)"
	rm "$(INSTALLPREFIX)/share/man/man1/$(MAN)"

tarball: all doc
	./makeArchives.sh

tarball-clean:
	rm -f fuse-zip-*.tar.gz fuse-zip-tests-*.tar.gz

debug:
	make CXXFLAGS="-g $(CXXFLAGS)"

test: $(DEST)
	make -C tests

valgrind: clean debug
	make -C tests valgrind

.PHONY: all doc clean distclean install uninstall tarball test

=== tests/Makefile ===
SUITES=blackbox whitebox

all: $(SUITES)

valgrind:
	make -C blackbox valgrind

$(SUITES):
	make -C $@

.PHONY: all $(SUITES)

=== tests/whitebox/Makefile ===
all:

=== debian/changelog ===
fuse-zip (0.2.12-0ubuntu1) lucid; urgency=low

  * New upstream bugfix-only release.
  * Bump Standards.
  * Adjust build-dep on debhelper to ease backporters' life.
  * Disable auto_test target to avoid FTBFS.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 28 Feb 2010 14:48:24 +0100

fuse-zip (0.2.8-0ubuntu2) lucid; urgency=low

  * Migrated to the 3.0 (quilt) format.

 -- Maia Kozheva <sikon@ubuntu.com>  Tue, 22 Dec 2009 14:14:32 +0600

fuse-zip (0.2.8-0ubuntu1) lucid; urgency=low

  * Initial release (LP: #240306)

 -- Maia Kozheva <sikon@ubuntu.com>  Thu, 19 Nov 2009 14:02:07 +0600

=== debian/control ===
Source: fuse-zip
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Maia Kozheva <sikon@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
 libfuse-dev,
 libzip-dev (>= 0.8),
 pkg-config
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/fuse-zip

Package: fuse-zip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ZIP archive mounter based on FUSE
 fuse-zip is a FUSE file system to navigate, extract, create and modify ZIP
 archives. With fuse-zip, you can work with ZIP archives as real directories.
 .
 fuse-zip is faster that other known FUSE implementations of ZIP directories,
 and includes full write support.

## fuse-zip 0.2.13

=== Makefile ===
DEST=fuse-zip
LIBS=$(shell pkg-config fuse --libs) $(shell pkg-config libzip --libs) -Llib -lfusezip
LIB=lib/libfusezip.a
CXXFLAGS=-g -O2 -Wall -Wextra
RELEASE_CXXFLAGS=-O2 -Wall -Wextra
FUSEFLAGS=$(shell pkg-config fuse --cflags)
SOURCES=main.cpp
OBJECTS=$(SOURCES:.cpp=.o)
MANSRC=fuse-zip.1
MAN=fuse-zip.1.gz
CLEANFILES=$(OBJECTS) $(MAN)
DOCFILES=README changelog
INSTALLPREFIX=/usr

all: $(DEST)

doc: $(MAN)

doc-clean: man-clean

$(DEST): $(OBJECTS) $(LIB)
	$(CXX) $(LDFLAGS) $(OBJECTS) $(LIBS) \
	    -o $@

# main.cpp must be compiled separately with FUSEFLAGS
main.o: main.cpp
	$(CXX) -c $(CXXFLAGS) $(FUSEFLAGS) $< \
	    -Ilib \
	    -o $@

$(LIB):
	make -C lib

lib-clean:
	make -C lib clean

distclean: clean doc-clean
	rm -f $(DEST)

clean: lib-clean all-clean test-clean tarball-clean

all-clean:
	rm -f $(CLEANFILES)

$(MAN): $(MANSRC)
	gzip -c9 $< > $@

man-clean:
	rm -f $(MANSRC).gz

install: all doc
	mkdir -p "$(INSTALLPREFIX)/bin"
	install -m 755 -s "$(DEST)" "$(INSTALLPREFIX)/bin"
	mkdir -p "$(INSTALLPREFIX)/share/doc/$(DEST)"
	cp $(DOCFILES) "$(INSTALLPREFIX)/share/doc/$(DEST)"
	mkdir -p "$(INSTALLPREFIX)/share/man/man1"
	cp $(MAN) "$(INSTALLPREFIX)/share/man/man1"

uninstall:
	rm "$(INSTALLPREFIX)/bin/$(DEST)"
	rm -r "$(INSTALLPREFIX)/share/doc/$(DEST)"
	rm "$(INSTALLPREFIX)/share/man/man1/$(MAN)"

tarball:
	./makeArchives.sh

tarball-clean:
	rm -f fuse-zip-*.tar.gz fuse-zip-tests-*.tar.gz

release:
	make CXXFLAGS="$(RELEASE_CXXFLAGS)" all doc

test: $(DEST)
	make -C tests

test-clean:
	make -C tests clean

valgrind:
	make -C tests valgrind

.PHONY: all release doc clean all-clean lib-clean doc-clean test-clean tarball-clean distclean install uninstall tarball test valgrind

=== lib/Makefile ===
DEST=libfusezip.a
LIBS=$(shell pkg-config fuse --libs) $(shell pkg-config libzip --libs)
CXXFLAGS=-g -O2 -Wall -Wextra
RELEASE_CXXFLAGS=-O2 -Wall -Wextra
FUSEFLAGS=$(shell pkg-config fuse --cflags)
ZIPFLAGS=$(shell pkg-config libzip --cflags)
SOURCES=$(wildcard *.cpp)
OBJECTS=$(SOURCES:.cpp=.o)
CLEANFILES=$(OBJECTS) $(DEST)

all: $(DEST)

release:
	make CXXFLAGS="$(RELEASE_CXXFLAGS)" all

$(DEST): $(OBJECTS)
	$(AR) -cq $@ $(OBJECTS)

# fuse-zip.cpp must be compiled separately with FUSEFLAGS
fuse-zip.o: fuse-zip.cpp
	$(CXX) -c $(CXXFLAGS) $(FUSEFLAGS) $(ZIPFLAGS) $< -o $@

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(ZIPFLAGS) $< -o $@

clean:
	rm -f $(DEST) $(OBJECTS)

.PHONY: all clean

=== tests/Makefile ===
all:
	make -C blackbox
	make -C whitebox test

valgrind:
	make -C blackbox valgrind
	make -C whitebox valgrind

clean:
	make -C whitebox clean

.PHONY: all valgrind clean

=== tests/blackbox/Makefile ===
all:
	./fuse-zip.test

valgrind:
	./fuse-zip.test -valgrind

.PHONY: all

=== tests/whitebox/Makefile ===
CXXFLAGS=-g -O2 -Wall -Wextra
FUSEFLAGS=$(shell pkg-config fuse --cflags)
VALGRIND=valgrind -q --leak-check=full --track-origins=yes --error-exitcode=33
LIB=../../lib/libfusezip.a

SOURCES=$(wildcard *.cpp)
OBJECTS=$(SOURCES:.cpp=.o)
DEST=$(OBJECTS:.o=.x)
TESTS=$(DEST:.x=.test)
VALGRIND_TESTS=$(DEST:.x=.valgrind)

all: $(DEST)

$(DEST): %.x: %.o $(LIB)
	$(CXX) $(LDFLAGS) $< \
	    -L../../lib -lfusezip \
	    -o $@

$(OBJECTS): %.o: %.cpp
	$(CXX) -c $(CXXFLAGS) $(FUSEFLAGS) $(ZIPFLAGS) \
	    -I../../lib \
	    $< -o $@

$(LIB):
	make -C ../../lib

lib-clean:
	make -C ../../lib clean

clean: lib-clean test-clean
	rm -f *.o $(DEST) $(OBJECTS)

distclean: clean
	make -C ../../lib clean

list:
	@echo $(TESTS)

test: $(TESTS)

test-clean:
	rm -f *.x.core vgcore.*

$(TESTS): %.test: %.x
	./$<

$(VALGRIND_TESTS): %.valgrind: %.x
	$(VALGRIND) ./$<

valgrind: $(VALGRIND_TESTS)

.PHONY: all clean distclean test test-clean valgrind lib-clean

=== debian/changelog ===
fuse-zip (0.2.13-0ubuntu2) precise; urgency=low

  * Fix build failure with libzip 0.10.

 -- Fathi Boudra <fabo@debian.org>  Mon, 19 Mar 2012 15:14:30 +0200

fuse-zip (0.2.13-0ubuntu1) natty; urgency=low

  * New upstream release
  * Bump standards
  * Change the order of linking in Makefile to fix FTBFS with 
    present natty toolchain  

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 11 Dec 2010 12:18:27 +0530

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  libfuse-dev,
  libzip-dev (>= 0.8),
  pkg-config
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://code.google.com/p/fuse-zip
 
 Package: fuse-zip

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS = -Wl,--as-needed

override_dh_auto_install:
	$(MAKE) INSTALLPREFIX=$(CURDIR)/debian/fuse-zip/usr install

override_dh_auto_test:

%:
	dh $@

=== debian/watch ===
version=3
http://code.google.com/p/fuse-zip/downloads/list http://fuse-zip.googlecode.com/files/fuse-zip-([0-9.]*)\.tar\.gz

## fuse-zip 0.4.0

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,10 @@
 DEST=fuse-zip
-LIBS=$(shell pkg-config fuse --libs) $(shell pkg-config libzip --libs) -Llib -lfusezip
+LIBS=-Llib -lfusezip $(shell pkg-config fuse --libs) $(shell pkg-config libzip --libs)
 LIB=lib/libfusezip.a
-CXXFLAGS=-g -O2 -Wall -Wextra
+CXXFLAGS=-g -O0 -Wall -Wextra
 RELEASE_CXXFLAGS=-O2 -Wall -Wextra
 FUSEFLAGS=$(shell pkg-config fuse --cflags)
+ZIPFLAGS=$(shell pkg-config libzip --cflags)
 SOURCES=main.cpp
 OBJECTS=$(SOURCES:.cpp=.o)
 MANSRC=fuse-zip.1
@@ -19,12 +20,12 @@
 doc-clean: man-clean
 
 $(DEST): $(OBJECTS) $(LIB)
-	$(CXX) $(LDFLAGS) $(OBJECTS) $(LIBS) \
+	$(CXX) $(OBJECTS) $(LDFLAGS) $(LIBS) \
 	    -o $@
 
 # main.cpp must be compiled separately with FUSEFLAGS
 main.o: main.cpp
-	$(CXX) -c $(CXXFLAGS) $(FUSEFLAGS) $< \
+	$(CXX) -c $(CXXFLAGS) $(FUSEFLAGS) $(ZIPFLAGS) $< \
 	    -Ilib \
 	    -o $@
 
@@ -79,5 +80,5 @@
 valgrind:
 	make -C tests valgrind
 
-.PHONY: all release doc clean all-clean lib-clean doc-clean test-clean tarball-clean distclean install uninstall tarball test valgrind
+.PHONY: all release doc clean all-clean lib-clean doc-clean test-clean tarball-clean distclean install uninstall tarball test valgrind $(LIB)

=== lib/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 DEST=libfusezip.a
 LIBS=$(shell pkg-config fuse --libs) $(shell pkg-config libzip --libs)
-CXXFLAGS=-g -O2 -Wall -Wextra
+CXXFLAGS=-g -O0 -Wall -Wextra
 RELEASE_CXXFLAGS=-O2 -Wall -Wextra
 FUSEFLAGS=$(shell pkg-config fuse --cflags)
 ZIPFLAGS=$(shell pkg-config libzip --cflags)
@@ -14,7 +14,7 @@
 	make CXXFLAGS="$(RELEASE_CXXFLAGS)" all
 
 $(DEST): $(OBJECTS)
-	$(AR) -cq $@ $(OBJECTS)
+	$(AR) -cr $@ $(OBJECTS)
 
 # fuse-zip.cpp must be compiled separately with FUSEFLAGS
 fuse-zip.o: fuse-zip.cpp

=== tests/blackbox/Makefile ===
rebuild:
	make -C ../../lib all
	make -C ../.. all

force-rebuild:
	make -C ../.. clean all

all:
	./fuse-zip.test

valgrind:
	./fuse-zip.test -valgrind

.PHONY: all rebuild force-rebuild

=== tests/whitebox/Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 CXXFLAGS=-g -O2 -Wall -Wextra
 FUSEFLAGS=$(shell pkg-config fuse --cflags)
+ZIPFLAGS=$(shell pkg-config libzip --cflags)
 VALGRIND=valgrind -q --leak-check=full --track-origins=yes --error-exitcode=33
 LIB=../../lib/libfusezip.a
 
@@ -49,5 +50,5 @@
 
 valgrind: $(VALGRIND_TESTS)
 
-.PHONY: all clean distclean test test-clean valgrind lib-clean
+.PHONY: all clean distclean test test-clean valgrind lib-clean $(LIB)

=== debian/changelog ===
fuse-zip (0.4.0-2build1) wily; urgency=medium

  * No-change rebuild for libzip soname change

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Sep 2015 01:24:59 +0000

fuse-zip (0.4.0-2) unstable; urgency=low

  * Bump standards
  * Remove debian/patches
  * debian/changelog: Use machine-readable format
  * Add depend on fuse (or fuse4bsd on kfreebsd)

 -- Matthew Bekkema <mbekkema97@gmail.com>  Mon, 23 Feb 2015 23:58:05 +1100

fuse-zip (0.4.0-1) unstable; urgency=low

  * Initial upload to Debian (Closes: #516398)
  * debian/control: Change maintainer to mbekkema97@gmail.com
  * New upstream release
    - debian/patches/debian-changes-0.2.13-0ubuntu1 and
      debian/patches/fuse-zip_libzip-0.10.patch removed
    - build depend on libzip-dev (>= 0.11.2)
  * Update debian/watch
  * debian/rules: Use dpkg-buildflags
  * Bump Standards.
  * Use debhelper v9

 -- Matthew Bekkema <mbekkema97@gmail.com>  Thu, 10 Jul 2014 09:48:11 +1000

=== debian/control ===
Source: fuse-zip
Section: utils
Priority: optional
Maintainer: Matthew Bekkema <mbekkema97@gmail.com>
Build-Depends: debhelper (>= 9),
 libfuse-dev,
 libzip-dev (>= 0.11.2),
 pkg-config
Standards-Version: 3.9.6
Homepage: http://code.google.com/p/fuse-zip

Package: fuse-zip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
        ,fuse [linux-any] | fuse4bsd [kfreebsd-any]
Description: ZIP archive mounter based on FUSE
 fuse-zip is a FUSE file system to navigate, extract, create and modify ZIP
 archives. With fuse-zip, you can work with ZIP archives as real directories.
 .
 fuse-zip is faster that other known FUSE implementations of ZIP directories,
 and includes full write support.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
CXXFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)

override_dh_auto_install:
	$(MAKE) CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" INSTALLPREFIX=$(CURDIR)/debian/fuse-zip/usr install

override_dh_auto_test:

override_dh_auto_build:
	$(MAKE) CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"

%:
	dh $@

=== debian/watch ===
version=3
http://code.google.com/p/fuse-zip/downloads/list?can=1 .*/fuse-zip-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## fuse-zip 0.4.4

=== Makefile ===
DEST=fuse-zip
prefix=/usr/local
exec_prefix=$(prefix)
bindir=$(exec_prefix)/bin
datarootdir=$(prefix)/share
docdir=$(datarootdir)/doc/$(DEST)
mandir=$(datarootdir)/man
man1dir=$(mandir)/man1
manext=.1
LIBS=-Llib -lfusezip $(shell pkg-config fuse --libs) $(shell pkg-config libzip --libs)
LIB=lib/libfusezip.a
CXXFLAGS=-g -O0 -Wall -Wextra
RELEASE_CXXFLAGS=-O2 -Wall -Wextra
FUSEFLAGS=$(shell pkg-config fuse --cflags)
ZIPFLAGS=$(shell pkg-config libzip --cflags)
SOURCES=main.cpp
OBJECTS=$(SOURCES:.cpp=.o)
MANSRC=fuse-zip.1
MAN=fuse-zip$(manext).gz
CLEANFILES=$(OBJECTS) $(MAN)
DOCFILES=README.md changelog
INSTALL=install
INSTALL_PROGRAM=$(INSTALL)
INSTALL_DATA=$(INSTALL) -m 644

all: $(DEST)

doc: $(MAN)

doc-clean: man-clean

$(DEST): $(OBJECTS) $(LIB)
	$(CXX) $(OBJECTS) $(LDFLAGS) $(LIBS) \
	    -o $@

# main.cpp must be compiled separately with FUSEFLAGS
main.o: main.cpp
	$(CXX) -c $(CXXFLAGS) $(FUSEFLAGS) $(ZIPFLAGS) $< \
	    -Ilib \
	    -o $@

$(LIB):
	$(MAKE) -C lib

lib-clean:
	$(MAKE) -C lib clean

distclean: clean doc-clean
	rm -f $(DEST)

clean: lib-clean all-clean check-clean tarball-clean

all-clean:
	rm -f $(CLEANFILES)

$(MAN): $(MANSRC)
	gzip -c9 $< > $@

man-clean:
	rm -f $(MANSRC).gz

install: all doc
	mkdir -p "$(DESTDIR)$(bindir)/"
	$(INSTALL_PROGRAM) "$(DEST)" "$(DESTDIR)$(bindir)/"
	mkdir -p "$(DESTDIR)$(docdir)/"
	$(INSTALL_DATA) $(DOCFILES) "$(DESTDIR)$(docdir)/"
	mkdir -p "$(DESTDIR)$(man1dir)/"
	$(INSTALL_DATA) $(MAN) "$(DESTDIR)$(man1dir)/"

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' install

uninstall:
	rm "$(DESTDIR)$(bindir)/$(DEST)"
	rm -r "$(DESTDIR)$(docdir)"
	rm "$(DESTDIR)$(man1dir)/$(MAN)"

dist:
	./makeArchives.sh

tarball-clean:
	rm -f fuse-zip-*.tar.gz fuse-zip-tests-*.tar.gz

release:
	$(MAKE) CXXFLAGS="$(RELEASE_CXXFLAGS)" all doc

check: $(DEST)
	$(MAKE) -C tests

check-clean:
	$(MAKE) -C tests clean

valgrind:
	$(MAKE) -C tests valgrind

.PHONY: all release doc clean all-clean lib-clean doc-clean check-clean tarball-clean distclean install uninstall dist check valgrind $(LIB)

=== lib/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 all: $(DEST)
 
 release:
-	make CXXFLAGS="$(RELEASE_CXXFLAGS)" all
+	$(MAKE) CXXFLAGS="$(RELEASE_CXXFLAGS)" all
 
 $(DEST): $(OBJECTS)
 	$(AR) -cr $@ $(OBJECTS)

=== debian/changelog ===
fuse-zip (0.4.4-1) unstable; urgency=low

  * New upstream release (Closes: #795675)
    - Upgrade license from LGPL3+ to GPL3+
  * Update links to new upstream home
  * Don't repeat license text in debian/copyright
  * Add Reiner Herrmann's patch to make the build reproducible (Closes: #842625)
  * Enable parallel builds
  * Upgrade to debhelper 10
  * Bump standards

 -- Matthew Harm Bekkema <mbekkema97@gmail.com>  Fri, 02 Feb 2018 22:08:50 +1100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: fuse-zip
 Section: utils
 Priority: optional
-Maintainer: Matthew Bekkema <mbekkema97@gmail.com>
-Build-Depends: debhelper (>= 9),
- libfuse-dev,
+Maintainer: Matthew Harm Bekkema <mbekkema97@gmail.com>
+Build-Depends: debhelper (>= 10),
+ libfuse-dev (>= 2.7),
  libzip-dev (>= 0.11.2),
- pkg-config
-Standards-Version: 3.9.6
-Homepage: http://code.google.com/p/fuse-zip
+ pkg-config,
+Standards-Version: 4.1.3
+Homepage: https://bitbucket.org/agalanin/fuse-zip
 
 Package: fuse-zip
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
CXXFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)

override_dh_auto_install:
	dh_auto_install -- CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" prefix=/usr

override_dh_auto_test:

test:
	$(MAKE) CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" valgrind

override_dh_auto_build:
	dh_auto_build -- CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"

%:
	dh $@

## fuse-zip 0.4.5

=== debian/changelog ===
fuse-zip (0.4.5-1) unstable; urgency=low

  * New upstream release
    - Drop debian/patches/reproducible-build.patch (now included upstream)
  * Run whitebox tests on build
  * Run blackbox tests on autopkgtest
  * Apply Helmut Grohne's patch to fix FTCBFS: (Closes: #902097)
    + cross.patch: Make build tools substitutable.
    + Also substitute build tools for make install.
  * Bump standards

 -- Matthew Harm Bekkema <mbekkema97@gmail.com>  Mon, 02 Jul 2018 19:13:49 +1000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
  libfuse-dev (>= 2.7),
  libzip-dev (>= 0.11.2),
  pkg-config,
-Standards-Version: 4.1.3
+ valgrind <!nocheck>,
+Standards-Version: 4.1.4
 Homepage: https://bitbucket.org/agalanin/fuse-zip
 
 Package: fuse-zip

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# for relinking fuse-zip during make install
DPKG_EXPORT_BUILDTOOLS=1
-include /usr/share/dpkg/buildtools.mk

LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
CXXFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)

override_dh_auto_install:
	dh_auto_install -- CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" prefix=/usr

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C tests/whitebox CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" valgrind
endif

override_dh_auto_build:
	dh_auto_build -- CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"

%:
	dh $@

=== debian/tests/control ===
Tests: blackbox
Restrictions: isolation-machine
Depends: fuse-zip,
 tcl (>= 8.5),
 blt,
 tclx,
 tcllib (>= 1.10),
 valgrind,
 fuse,
 zip,
 unzip

## fuse-zip 0.5.0

=== Makefile ===
--- 
+++ 
@@ -9,8 +9,8 @@
 manext=.1
 LIBS=-Llib -lfusezip $(shell pkg-config fuse --libs) $(shell pkg-config libzip --libs)
 LIB=lib/libfusezip.a
-CXXFLAGS=-g -O0 -Wall -Wextra
-RELEASE_CXXFLAGS=-O2 -Wall -Wextra
+CXXFLAGS=-g -O0 -Wall -Wextra -pedantic -Werror
+RELEASE_CXXFLAGS=-O2 -Wall -Wextra -pedantic -Werror
 FUSEFLAGS=$(shell pkg-config fuse --cflags)
 ZIPFLAGS=$(shell pkg-config libzip --cflags)
 SOURCES=main.cpp

=== lib/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 DEST=libfusezip.a
 LIBS=$(shell pkg-config fuse --libs) $(shell pkg-config libzip --libs)
-CXXFLAGS=-g -O0 -Wall -Wextra
-RELEASE_CXXFLAGS=-O2 -Wall -Wextra
+CXXFLAGS=-g -O0 -Wall -Wextra -pedantic -Werror
+RELEASE_CXXFLAGS=-O2 -Wall -Wextra -pedantic -Werror
 FUSEFLAGS=$(shell pkg-config fuse --cflags)
 ZIPFLAGS=$(shell pkg-config libzip --cflags)
-SOURCES=$(wildcard *.cpp)
+SOURCES=$(sort $(wildcard *.cpp))
 OBJECTS=$(SOURCES:.cpp=.o)
 CLEANFILES=$(OBJECTS) $(DEST)

=== tests/whitebox/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CXXFLAGS=-g -O2 -Wall -Wextra
+CXXFLAGS=-g -O2 -Wall -Wextra -Werror
 FUSEFLAGS=$(shell pkg-config fuse --cflags)
 ZIPFLAGS=$(shell pkg-config libzip --cflags)
 VALGRIND=valgrind -q --leak-check=full --track-origins=yes --error-exitcode=33

=== debian/changelog ===
fuse-zip (0.5.0-1) unstable; urgency=low

  * New upstream release
  * Bump standards
  * Bump debhelper-compat to 12
  * Disable valgrind (Closes: #918974)

 -- Matthew Harm Bekkema <mbekkema97@gmail.com>  Sat, 12 Jan 2019 16:31:31 +1100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Matthew Harm Bekkema <mbekkema97@gmail.com>
 Build-Depends: debhelper (>= 10),
+ debhelper-compat (= 12),
  libfuse-dev (>= 2.7),
  libzip-dev (>= 0.11.2),
  pkg-config,
- valgrind <!nocheck>,
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: https://bitbucket.org/agalanin/fuse-zip
 
 Package: fuse-zip

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	$(MAKE) -C tests/whitebox CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" valgrind
+	$(MAKE) -C tests/whitebox CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" test
 endif
 
 override_dh_auto_build:

=== debian/tests/control ===
Tests: blackbox
Restrictions: isolation-machine
Depends: @,
 tcl (>= 8.5),
 blt,
 tclx,
 tcllib (>= 1.10),
 valgrind,
 fuse,
 zip,
 unzip

## fuse-zip 0.6.0

=== Makefile ===
--- 
+++ 
@@ -9,8 +9,8 @@
 manext=.1
 LIBS=-Llib -lfusezip $(shell pkg-config fuse --libs) $(shell pkg-config libzip --libs)
 LIB=lib/libfusezip.a
-CXXFLAGS=-g -O0 -Wall -Wextra -pedantic -Werror
-RELEASE_CXXFLAGS=-O2 -Wall -Wextra -pedantic -Werror
+CXXFLAGS=-g -O0 -Wall -Wextra -Wconversion -Wsign-conversion -Wlogical-op -Wshadow -pedantic -Werror
+RELEASE_CXXFLAGS=-O2 -Wall -Wextra -Wconversion -Wsign-conversion -Wlogical-op -Wshadow -pedantic -Werror
 FUSEFLAGS=$(shell pkg-config fuse --cflags)
 ZIPFLAGS=$(shell pkg-config libzip --cflags)
 SOURCES=main.cpp
@@ -33,7 +33,6 @@
 	$(CXX) $(OBJECTS) $(LDFLAGS) $(LIBS) \
 	    -o $@
 
-# main.cpp must be compiled separately with FUSEFLAGS
 main.o: main.cpp
 	$(CXX) -c $(CXXFLAGS) $(FUSEFLAGS) $(ZIPFLAGS) $< \
 	    -Ilib \

=== lib/Makefile ===
DEST=libfusezip.a
LIBS=$(shell pkg-config fuse --libs) $(shell pkg-config libzip --libs)
CXXFLAGS=-g -O0 -Wall -Wextra -Wconversion -Wsign-conversion -Wlogical-op -Wshadow -pedantic -Werror
RELEASE_CXXFLAGS=-O2 -Wall -Wextra -Wconversion -Wsign-conversion -Wlogical-op -Wshadow -pedantic -Werror
FUSEFLAGS=$(shell pkg-config fuse --cflags)
ZIPFLAGS=$(shell pkg-config libzip --cflags)
SOURCES=$(sort $(wildcard *.cpp))
OBJECTS=$(SOURCES:.cpp=.o)
CLEANFILES=$(OBJECTS) $(DEST)

all: $(DEST)

release:
	$(MAKE) CXXFLAGS="$(RELEASE_CXXFLAGS)" all

$(DEST): $(OBJECTS)
	$(AR) -cr $@ $(OBJECTS)

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(FUSEFLAGS) $(ZIPFLAGS) $< -o $@

clean:
	rm -f $(DEST) $(OBJECTS)

.PHONY: all clean

=== utils/Makefile ===
LIBS=-L../lib -lfusezip $(shell pkg-config libzip --libs)
CXXFLAGS=-g -O0 -Wall -Wextra -Wlogical-op -Wshadow -pedantic -Werror
ZIPFLAGS=$(shell pkg-config libzip --cflags)

all: dump-extrafld create-content-size

dump-extrafld: dump-extrafld.cpp $(LIB)
	$(CXX) $(CXXFLAGS) $(ZIPFLAGS) $< \
	    -I.. \
	    $(LDFLAGS) $(LIBS) \
	    -o $@

create-content-size: create-content-size.cpp
	$(CXX) $(CXXFLAGS) $(ZIPFLAGS) $< \
	    -I.. \
	    $(LDFLAGS) $(LIBS) \
	    -o $@

clean:
	rm -f dump-extrafld create-content-size

.PHONY: all clean

=== debian/changelog ===
fuse-zip (0.6.0-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:28:40 +0000

fuse-zip (0.6.0-0ubuntu4) noble; urgency=high

  * No change rebuild against libzip4t64, libfuse2t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:06:50 +0100

fuse-zip (0.6.0-0ubuntu3) hirsute; urgency=medium

  * Rebuild with the new libzip soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 04 Mar 2021 11:58:50 +0100

fuse-zip (0.6.0-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:41:09 +0100

fuse-zip (0.6.0-0ubuntu1) disco; urgency=medium

  * New upstream release

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 15 Mar 2019 00:03:47 +0000

fuse-zip (0.5.0-1ubuntu1) disco; urgency=medium

  * implicit-read-only-dir doesn't clean up after itself Move it to the
    end of the run, to pass all tests.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 14 Mar 2019 16:49:03 +0000

=== debian/watch ===
version=3
https://bitbucket.org/agalanin/fuse-zip/downloads?tab=tags .*/(\d\S+)\.tar\.gz

## fuse-zip 0.7.2

=== Makefile ===
--- 
+++ 
@@ -7,12 +7,13 @@
 mandir=$(datarootdir)/man
 man1dir=$(mandir)/man1
 manext=.1
-LIBS=-Llib -lfusezip $(shell pkg-config fuse --libs) $(shell pkg-config libzip --libs)
+LIBS=-Llib -lfusezip $(shell $(PKG_CONFIG) fuse --libs) $(shell $(PKG_CONFIG) libzip --libs)
 LIB=lib/libfusezip.a
-CXXFLAGS=-g -O0 -Wall -Wextra -Wconversion -Wsign-conversion -Wlogical-op -Wshadow -pedantic -Werror
-RELEASE_CXXFLAGS=-O2 -Wall -Wextra -Wconversion -Wsign-conversion -Wlogical-op -Wshadow -pedantic -Werror
-FUSEFLAGS=$(shell pkg-config fuse --cflags)
-ZIPFLAGS=$(shell pkg-config libzip --cflags)
+CXXFLAGS=-g -O0 -Wall -Wextra -Wconversion -Wsign-conversion -Wlogical-op -Wshadow -pedantic -Werror -std=c++11
+RELEASE_CXXFLAGS=-O2 -Wall -Wextra -Wconversion -Wsign-conversion -Wlogical-op -Wshadow -pedantic -Werror -std=c++11
+PKG_CONFIG?=pkg-config
+FUSEFLAGS=$(shell $(PKG_CONFIG) fuse --cflags)
+ZIPFLAGS=$(shell $(PKG_CONFIG) libzip --cflags)
 SOURCES=main.cpp
 OBJECTS=$(SOURCES:.cpp=.o)
 MANSRC=fuse-zip.1

=== lib/Makefile ===
DEST=libfusezip.a
PKG_CONFIG?=pkg-config
LIBS=$(shell $(PKG_CONFIG) fuse --libs) $(shell $(PKG_CONFIG) libzip --libs)
CXXFLAGS=-g -O0 -Wall -Wextra -Wconversion -Wsign-conversion -Wlogical-op -Wshadow -pedantic -Werror -std=c++11
RELEASE_CXXFLAGS=-O2 -Wall -Wextra -Wconversion -Wsign-conversion -Wlogical-op -Wshadow -pedantic -Werror -std=c++11
FUSEFLAGS=$(shell $(PKG_CONFIG) fuse --cflags)
ZIPFLAGS=$(shell $(PKG_CONFIG) libzip --cflags)
SOURCES=$(sort $(wildcard *.cpp))
OBJECTS=$(SOURCES:.cpp=.o)
CLEANFILES=$(OBJECTS) $(DEST)

all: $(DEST)

release:
	$(MAKE) CXXFLAGS="$(RELEASE_CXXFLAGS)" all

$(DEST): $(OBJECTS)
	$(AR) -cr $@ $(OBJECTS)

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(FUSEFLAGS) $(ZIPFLAGS) $< -o $@

clean:
	rm -f $(DEST) $(OBJECTS)

.PHONY: all clean

=== utils/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
-LIBS=-L../lib -lfusezip $(shell pkg-config libzip --libs)
+PKG_CONFIG?=pkg-config
+LIBS=-L../lib -lfusezip $(shell $(PKG_CONFIG) libzip --libs)
 CXXFLAGS=-g -O0 -Wall -Wextra -Wlogical-op -Wshadow -pedantic -Werror
-ZIPFLAGS=$(shell pkg-config libzip --cflags)
+ZIPFLAGS=$(shell $(PKG_CONFIG) libzip --cflags)
 
 all: dump-extrafld create-content-size

=== tests/blackbox/Makefile ===
all:
	./fuse-zip.test
rebuild:
	make -C ../../lib all
	make -C ../.. all

force-rebuild:
	make -C ../.. clean all

valgrind:
	./fuse-zip.test -valgrind

.PHONY: all valgrind rebuild force-rebuild

=== tests/whitebox/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
-CXXFLAGS=-g -O2 -Wall -Wextra -Werror
-FUSEFLAGS=$(shell pkg-config fuse --cflags)
-ZIPFLAGS=$(shell pkg-config libzip --cflags)
+CXXFLAGS=-g -O2 -Wall -Wextra -Werror -std=c++11
+PKG_CONFIG?=pkg-config
+FUSEFLAGS=$(shell $(PKG_CONFIG) fuse --cflags)
+ZIPFLAGS=$(shell $(PKG_CONFIG) libzip --cflags)
 VALGRIND=valgrind -q --leak-check=full --track-origins=yes --error-exitcode=33
 LIB=../../lib/libfusezip.a

=== debian/changelog ===
fuse-zip (0.7.2-3) unstable; urgency=medium

  [ Fab Stz ]
  * skip valgrind tests on failing-archs

 -- Boyuan Yang <byang@debian.org>  Sun, 20 Apr 2025 15:29:45 -0400

fuse-zip (0.7.2-2) unstable; urgency=medium

  [ Fab Stz ]
  * d/control: bump dependencies (libzip >= 1.0)
  * add debian/gbp.conf with pristine-tar enabled
  * d/changelog: remove trailing space
  * d/control: set Rules-Requires-Root: no
  * Revert "Disable valgrind"
  * update autopkgtest test
  * d/control, d/rules: run valgrind only on arch supporting it
  * add d/salsa-ci.yml file

 -- Boyuan Yang <byang@debian.org>  Sat, 19 Apr 2025 15:54:54 -0400

fuse-zip (0.7.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #981454)
  * debian/patches: Dropped, merged upstream.
  * debian/control: Use Depends: fuse3 (>= 3.10.1-3) | fuse (<< 3).
    (See #1084482)

 -- Boyuan Yang <byang@debian.org>  Mon, 24 Feb 2025 15:24:08 -0500

fuse-zip (0.6.0-1) unstable; urgency=medium

  * Merge from Ubuntu 0.6.0-0ubuntu6.
  * New upstream release.
  * Take over package maintenance via ITS process. (Closes: #1095539)
  * debian/control:
    + Bump debhelper-compat to v13.
    + Bump Standards-Version to 4.7.0.
    + Add Vcs-* fields.
  * debian/watch: Upgrade to v4 and fix monitoring regex.

 -- Boyuan Yang <byang@debian.org>  Sun, 09 Feb 2025 12:54:29 -0500

=== debian/control ===
Source: fuse-zip
Section: utils
Priority: optional
Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libfuse-dev (>= 2.7),
 libzip-dev (>= 1.0~),
 pkgconf,
 valgrind [amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x] <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://bitbucket.org/agalanin/fuse-zip
Vcs-Git: https://salsa.debian.org/debian/fuse-zip.git
Vcs-Browser: https://salsa.debian.org/debian/fuse-zip

Package: fuse-zip
Architecture: any
Depends:
 fuse3 (>= 3.10.1-3) | fuse (<< 3),
 ${misc:Depends},
 ${shlibs:Depends},
Description: ZIP archive mounter based on FUSE
 fuse-zip is a FUSE file system to navigate, extract, create and modify ZIP
 archives. With fuse-zip, you can work with ZIP archives as real directories.
 .
 fuse-zip is faster that other known FUSE implementations of ZIP directories,
 and includes full write support.

=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,23 @@
 CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
 CXXFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
 
+DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+valgrind_arch = amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x
+
+# valgrind tests fail on these archs.
+valgrind_arch_failing = mips64el powerpc
+
 override_dh_auto_install:
 	dh_auto_install -- CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" prefix=/usr
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ifeq (,$(filter $(DEB_HOST_ARCH),$(filter-out $(valgrind_arch_failing),$(valgrind_arch))))
 	$(MAKE) -C tests/whitebox CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" test
+else
+	# Run valgrind tests on the arch where there is valgrind and no failure on 2025-04-20.
+	$(MAKE) -C tests/whitebox CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" valgrind
+endif
 endif
 
 override_dh_auto_build:

=== debian/tests/control ===
# run the tests with valgrind on all archs where it doesn't error out.
Tests:
 blackbox,
Restrictions:
 needs-sudo
Depends:
 attr,
 blt,
 fuse,
 socat,
 tcl (>= 8.5),
 tcllib (>= 1.10),
 tclx,
 unzip,
 valgrind [amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x],
 zip,
 @,
Architecture: !armhf !ppc64el

# on these archs, run the tests without valgrind (valgrind fails)
Tests:
 blackbox,
Restrictions:
 needs-sudo
Depends:
 attr,
 blt,
 fuse,
 socat,
 tcl (>= 8.5),
 tcllib (>= 1.10),
 tclx,
 unzip,
 zip,
 @,
Architecture: armhf ppc64el

=== debian/watch ===
version=4
opts="" \
 https://bitbucket.org/agalanin/fuse-zip/downloads?tab=downloads .*/fuse-zip-(\d\S+)\.tar\.gz
